ruby script/console hangs on cygwin

ruby -v script/console

ruby 1.8.6 (2007-03-13 patchlevel 0) [i386-cygwin]
Loading development environment.

What I did was
1) install latest cygwin files
2) download and install rubygems from <http://rubyforge.org/frs/?
group_id=126>
3) gem install rails --include-dependencies

rails test
cd test
ruby script/console

How can I debug this ? It looks like it's hanging forever. When I
interrupt it I get:

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`require': Interrupt
        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/
active_support/dependencies.rb:495:in `require'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/
active_support/dependencies.rb:342:in `new_constants_in'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/
active_support/dependencies.rb:495:in `require'
        from /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/
action_controller/integration.rb:3
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:
27:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:
27:in `require'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/
active_support/dependencies.rb:495:in `require'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/
active_support/dependencies.rb:342:in `new_constants_in'
         ... 9 levels...
        from /usr/lib/ruby/1.8/irb/init.rb:250:in `load_modules'
        from /usr/lib/ruby/1.8/irb/init.rb:21:in `setup'
        from /usr/lib/ruby/1.8/irb.rb:54:in `start'
        from /usr/bin/irb:13

FWIW:

ls -l /usr/lib/ruby/gems/1.8/gems/

totaal 0
drwxr-xr-x+ 4 801223 Domain Users 0 Sep 7 16:21 actionmailer-1.3.3
drwxr-xr-x+ 5 801223 Domain Users 0 Sep 7 16:21 actionpack-1.13.3
drwxr-xr-x+ 5 801223 Domain Users 0 Sep 7 16:21
actionwebservice-1.2.3
drwxr-xr-x+ 5 801223 Domain Users 0 Sep 7 16:20 activerecord-1.15.3
drwxr-xr-x+ 3 801223 Domain Users 0 Sep 7 16:20 activesupport-1.4.2
drwxr-xr-x+ 11 801223 Domain Users 0 Sep 7 16:21 rails-1.2.3
drwxr-xr-x+ 6 801223 Domain Users 0 Sep 7 16:20 rake-0.7.3
drwxr-xr-x+ 11 801223 Domain Users 0 Sep 10 09:48 rubygems-
update-0.9.4
drwxr-xr-x+ 3 801223 Domain Users 0 Sep 7 16:19 sources-0.0.1

On macosX this is working like a charm. Problem is I am forced to use
xp....